﻿using System;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            this.calculateButton.Click += calculateButton_Click;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 계산하기 버튼 클릭시 처리하기 - calculateButton_Click(sender, e)

        /// <summary>
        /// 계산하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void calculateButton_Click(object sender, EventArgs e)
        {
            Complex complexA = Complex.Parse(this.complexATextBox.Text);
            Complex complexB = Complex.Parse(this.complexBTextBox.Text);
            double  real     = double.Parse(this.realTextBox.Text);

            this.complexAPlusRealTextBox.Text     = (complexA + real).ToString();
            this.realPlusComplexATextBox.Text     = (real + complexA).ToString();
            this.complexAMultiplyRealTextBox.Text = (complexA * real).ToString();
            this.realMultiplyComplexATextBox.Text = (real * complexA).ToString();
            this.complexAMinusRealTextBox.Text    = (complexA - real).ToString();
            this.realMinusComplexATextBox.Text    = (real - complexA).ToString();

            this.complexADivideRealTextBox.Text = (complexA / real).ToString("0.0000");

            Complex complexC = (complexA / real) * real;

            this.complexADivideRealMultiplyRealTextBox.Text = complexC.ToString();

            this.realDivideComplexATextBox.Text = (real / complexA).ToString("0.0000");

            Complex complexD = (real / complexA) * complexA;

            this.realDivideComplexAMultiplyComplexATextBox.Text = complexD.ToString();

            Complex complexE = (Complex)real;

            this.castRealTextBox.Text = complexE.ToString();
        }

        #endregion
    }
}